import { baseUrl, tenantId, apiPath } from '@/utils/config'

// 文件上传
export const uploadFile = (file) => {
  uni.showLoading({
    title: '上传中'
  })
  return new Promise((resolve, reject) => {
    uni.uploadFile({
      url: baseUrl + apiPath + '/infra/file/upload',
      filePath: file,
      name: 'file',
      header: {
        Accept: '*/*',
        'tenant-id': tenantId,
      },
      success: (uploadFileRes) => {
        let result = JSON.parse(uploadFileRes.data)
        if (result.error === 1) {
          uni.showToast({
            icon: 'none',
            title: result.msg
          })
        } else {
          return resolve(result)
        }
      },
      fail: (error) => {
        console.log('上传失败：', error)
        return resolve(false)
      },
      complete: () => {
        uni.hideLoading()
      }
    })
  })
}